// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
// ls for CCF constituents. It makes use of the << operator on CCF constituents.
//
// Giuseppe Vacanti, October 1999 -- European Space Agency
#include <param.h>
#include <Tracer.h>
#include "CcfConstituentFactory.h"
#include "lsccf.h"

void lsccf() {
  PROC
    for(int i=0; i<parameterCount("sets"); i++){
      CcfConstituent * c = ccfConstituentFactory->ccfConstituent(stringParameter("sets",i));
      if(c->isValid())
	cout << *c << endl;
    }
  ENDPROC
}
